<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <nz-card style="width:100%; margin-bottom: 10px;" nzTitle="{{ 'Economy.Market.Jobs.Title' | translate }}"
    nzSize="small">
    <div nz-row style="text-align: center; margin-top: 10px;">
      <nz-table #basicTable2 [nzData]="jobOffers" [nzFrontPagination]="false" style="width: 100%;">
        <thead>
          <tr>
            <th style="width: 25%; text-align: center;">{{ 'Economy.Market.Skill' | translate }}</th>
            <th style="width: 25%; text-align: center;">{{ 'Economy.Market.Salary' | translate }}</th>
            <th style="width: 25%; text-align: center;">{{ 'Economy.Market.AddOffer' | translate }}</th>
            <th style="width: 25%; text-align: center;" *ngIf="canManage">
              <button nz-button nzShape="round" nzType="default" (click)="addIsVisible = true">{{ 'Economy.Market.AddOffer' | translate
                }}</button>
            </th>
          </tr>
        </thead>
        <tbody style="text-align: center;">
          <tr *ngFor="let data of basicTable2.data">
            <td>{{data.skill}}.00 - {{data.skill}}.99</td>
            <td>{{data.salary}} {{data.currencyName}}</td>
            <td>{{data.amount}}</td>
            <td *ngIf="canManage">
              <button nz-button nzShape="round" nzType="danger" (click)="deleteJobOffer(data.id)">{{ 'Economy.Market.Delete' | translate
                }}</button>
            </td>
          </tr>
        </tbody>
      </nz-table>
    </div>
  </nz-card>
</nz-spin>

<nz-modal [(nzVisible)]="addIsVisible" nzTitle="{{ 'Economy.Market.AddOffer' | translate }}" nzWidth="50%"
  (nzOnCancel)="addIsVisible = false" [nzFooter]="null">
  <ng-container *nzModalContent>
    <form [formGroup]="form2" (submit)="addJobOffer()">
      <div nz-row style="text-align: center; margin-top: 5px;">
        <div nz-col nzSpan="8">{{ 'Economy.Market.Skill' | translate }}</div>
        <div nz-col nzSpan="8">{{ 'Economy.Market.Salary' | translate }}</div>
        <div nz-col nzSpan="8">{{ 'Economy.Market.Amount' | translate }}</div>
      </div>
      <div nz-row style="text-align: center; margin-top: 5px;" nzGutter="24">
        <div nz-col nzSpan="8">
          <nz-select nzAllowClear nzPlaceHolder="{{ 'Citizen.Company.selectSkill' | translate }}" style="width: 100%;" formControlName="skill">
            <nz-option *ngFor="let i of [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]" [nzValue]="i"
              nzLabel="{{ i }}.00 - {{i}}.99"></nz-option>
          </nz-select>
        </div>
        <div nz-col nzSpan="8">
          <nz-input-number [nzMin]="0.01" formControlName="salary" style="width: 100%;"></nz-input-number>
        </div>
        <div nz-col nzSpan="8">
          <nz-input-number [nzMin]="1" [nzMax]="20" [nzStep]="1" formControlName="amount" style="width: 100%;">
          </nz-input-number>
        </div>
      </div>
      <hr />
      <div nz-row nzGutter="12">
        <div nz-col nzSpan="22">
          <button style="float: right" nzShape="round" nz-button nzType="primary" type="submit">{{ 'Economy.Market.AddOffer' | translate
            }}</button>
        </div>
      </div>
    </form>
  </ng-container>
</nz-modal>